
sbit CS_EN at RC2_bit;
sbit CS_EN_Dir at TRISC2_bit;
sbit RST at RC1_bit;
sbit RST_Dir at TRISC1_bit;
sbit AO at RC0_bit;
sbit AO_Dir at TRISC0_bit;
sbit SCK_Dir at TRISC3_bit;                 //SCK Master cleared
sbit MOSI_Dir at TRISC5_bit;                 //MOSI output

// Master SPI mode only
#define   SMPEND        0x80           // Input data sample at end of data out
#define   SMPMID        0x00           // Input data sample at middle of data out

/* SSPCON1 REGISTER */
#define   SSPENB        0x20           // Enable serial port and configures SCK, SDO, SDI
#define   SPI_FOSC_4    0              // SPI Master mode, clock = Fosc/4     clockcycle 0.5 uS
#define   SPI_FOSC_16   1              // SPI Master mode, clock = Fosc/16
#define   SPI_FOSC_64   2              // SPI Master mode, clock = Fosc/64    clockcycle 8 uS
#define   SPI_FOSC_TMR2 3              // SPI Master mode, clock = TMR2 output/2
#define   SLV_SSON      4              // SPI Slave mode, /SS pin control enabled
#define   SLV_SSOFF     5              // SPI Slave mode, /SS pin control disabled